net.sourceforge.pmd

## Interface PropertyDescriptorFactory

- All Known Implementing Classes:
    BasicPropertyDescriptorFactory

      public interface PropertyDescriptorFactory

  Author:
    Brian Remedios

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `PropertyDescriptor<?>` | `createWith(Map<String,String> valuesById)` Create a property descriptor of the appropriate type using the values provided.
    `Map<String,Boolean>` | `expectedFields()` Denote the identifiers of the expected fields paired with booleans denoting whether they are required (non-null) or not.
    `Class<?>` | `valueType()`

- - ### Method Detail

    - #### valueType

          Class<?> valueType()

    - #### expectedFields

          Map<String,Boolean> expectedFields()

      Denote the identifiers of the expected fields paired with booleans denoting whether they are required (non-null) or not.
      Returns:
        Map

    - #### createWith

          PropertyDescriptor<?> createWith(Map<String,String> valuesById)

      Create a property descriptor of the appropriate type using the values provided.
      Parameters:
        `valuesById` -
      Returns:
        PropertyDescriptor

Copyright © 2002-2013 InfoEther. All Rights Reserved.